MARTe2-core - User story #254

Linux console
23.10.2015 12:52 - Riccardo Vitelli

Status: Closed Start date: 23.10.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.7 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Implement the Linux console based on the previous MARTe implementation (note that BasicConsole already exists).

Source code files modified

Source/Core/BareMetal/L1Portability/BasicConsole.*

Architecture & design review
Date of the review: 23/10/2015
Person who did the review: André Neto

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does
not require formal design in UML.

Result of review: N/A

List of non-conformities: N/A

Code and documentation review
Date of the review: 09/11/2015

Person who did the review: R. Vitelli

Result of review: PASS

List of non-conformities: N/A.

Unit test review

Date of the review: 09/11/2015

Person who did the review: R. Vitelli
Result of coverage tests review: PASS
Result of functional tests review: PASS
Result of review: PASS

List of non-conformities: N/A

Associated revisions
Revision d9e337fe - 03.11.2015 18:31 - Giuseppe Ferro

#254 Implementatio, documentation and linting of BasicConsole in linux
done.

Revision 4a2d21a6 - 04.11.2015 08:34 - Giuseppe Ferro
#254 Work in Progress.

Revision a80ffc63 - 04.11.2015 10:34 - Giuseppe Ferro

#254 BasicConsole tests done.

Revision 60128ab8 - 04.11.2015 11:31 - Giuseppe Ferro
#254 Added Streaml

History

#1 - 23.10.2015 13:20 - André Neto

- Status changed from New to Code: Impl

#2 - 23.10.2015 13:26 - André Neto

- Description updated

#3 - 23.10.2015 13:32 - André Neto

- Target version set to 0.7

#4 - 03.11.2015 16:51 - Giuseppe Ferro

- Assignee set to Giuseppe Ferro

#5 - 03.11.2015 18:33 - Giuseppe Ferro
- Status changed from Code: Impl to Code: Rev

#6 - 03.11.2015 18:34 - Giuseppe Ferro
- Description updated

- Assignee deleted (Giuseppe Ferro)

Code Implementation done: d9e337f

#7 - 09.11.2015 09:44 - Riccardo Vitelli

- Assignee set to Riccardo Vitelli

#8 - 09.11.2015 12:30 - Riccardo Vitelli
- Description updated
- Assignee deleted (Riccardo Vitelli)

#9 - 09.11.2015 12:30 - Riccardo Vitelli

- Status changed from Code: Rev to Closed
